"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uv_steps_item2 = common_vendor.resolveComponent("uv-steps-item");
  const _easycom_uv_steps2 = common_vendor.resolveComponent("uv-steps");
  (_easycom_uv_steps_item2 + _easycom_uv_steps2)();
}
const _easycom_uv_steps_item = () => "../../uni_modules/uv-steps/components/uv-steps-item/uv-steps-item.js";
const _easycom_uv_steps = () => "../../uni_modules/uv-steps/components/uv-steps/uv-steps.js";
if (!Math) {
  (MapContainer + _easycom_uv_steps_item + _easycom_uv_steps)();
}
const MapContainer = () => "../../components/MapContainer.js";
const _sfc_main = {
  __name: "track",
  setup(__props) {
    common_vendor.onLoad(() => {
    });
    const activeIndex = common_vendor.ref(0);
    const searchList = common_vendor.ref([
      {
        id: 0,
        text: "今天"
      },
      {
        id: 1,
        text: "昨天"
      },
      {
        id: 2,
        text: "前天"
      }
    ]);
    const list = common_vendor.ref([
      {
        id: 1,
        title: "入校06:00",
        desc: "地点：万载三中大门口"
      },
      {
        id: 2,
        title: "入校07:00",
        desc: "地点：万载三中大门口"
      },
      {
        id: 3,
        title: "入校08:00",
        desc: "地点：万载三中大门口"
      },
      {
        id: 4,
        title: "入校09:00",
        desc: "地点：万载三中大门口"
      },
      {
        id: 5,
        title: "入校10:00",
        desc: "地点：万载三中大门口"
      }
    ]);
    const customStyle = {
      marginBottom: "30rpx"
    };
    const changeIndex = (id) => {
      activeIndex.value = id;
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(searchList.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.text),
            b: item.id === activeIndex.value ? 1 : "",
            c: item.id,
            d: common_vendor.o(($event) => changeIndex(item.id), item.id)
          };
        }),
        b: common_vendor.f(list.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.title),
            b: common_vendor.t(item.desc),
            c: item.id,
            d: "132a14af-2-" + i0 + ",132a14af-1"
          };
        }),
        c: common_vendor.p({
          customStyle
        }),
        d: common_vendor.p({
          activeColor: "#1E7DFB",
          direction: "column",
          dot: true,
          current: list.value.length
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-132a14af"], ["__file", "E:/workSpace/WanZai_School_app/pages/track/track.vue"]]);
wx.createPage(MiniProgramPage);
